<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: gameserver_monitor_admin.php
| Author: bartek124
| E-Mail: bartek124@php-fusion.pl
| Web: http://bartek124.php-fusion.pl
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header.php";

if (!checkrights("GSMP") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }

include INFUSIONS."gameserver_monitor_panel/infusion_db.php";
require_once INCLUDES."bbcode_include.php";

add_to_head("<script type='text/javascript' src='".INFUSIONS."gameserver_monitor_panel/includes/jquery.alphanumeric.js'></script>");
add_to_head('<script type="text/javascript">$(
	function(){
		$("input.numeric").numeric();
	}	
);
</script>');

if (file_exists(INFUSIONS."gameserver_monitor_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."gameserver_monitor_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."gameserver_monitor_panel/locale/English.php";
}
if((isset($_GET['server_id']) && !isnum($_GET['server_id'])) || (isset($_GET['order']) && !isnum($_GET['order']))) { redirect(FUSION_SELF.$aidlink."mes=err"); }

$mes = "";
if(isset($_GET['mes'])) {
	if($_GET['mes'] == "err") {
		$mes .= $locale['gsmp_100'];
	} elseif($_GET['mes'] == "delete") {
		$mes .= $locale['gsmp_101'];
	} elseif($_GET['mes'] == "save") {
		$mes .= $locale['gsmp_102'];
	} elseif($_GET['mes'] == "edit") {
		$mes .= $locale['gsmp_103'];
	} elseif($_GET['mes'] == "move") {
		$mes .= $locale['gsmp_117c'];
	}
}

if(isset($_GET['action']) && $_GET['action'] == "delete" && isset($_GET['server_id'])) {
	$data = dbarray(dbquery("SELECT server_order FROM ".DB_GAMESERVERS." WHERE server_id=".$_GET['server_id']));
	$ordering = dbquery("UPDATE ".DB_GAMESERVERS." SET server_order=server_order-1 WHERE server_order>'".$data['server_order']."'");
	$delete = dbquery("DELETE FROM ".DB_GAMESERVERS." WHERE server_id=".$_GET['server_id']);
	redirect(FUSION_SELF.$aidlink."&mes=delete");
} elseif(isset($_GET['action']) && $_GET['action'] == "mup" && isset($_GET['server_id']) && isset($_GET['order'])) {
	$last = dbcount("(server_id)", DB_GAMESERVERS);
	if($_GET['order'] == 0 || $_GET['order'] == $last) {
		redirect(FUSION_SELF.$aidlink."&mes=err");
	} else {
		$order = dbarray(dbquery("SELECT server_id FROM ".DB_GAMESERVERS." WHERE server_order=".$_GET['order']));
		$result1 = dbquery("UPDATE ".DB_GAMESERVERS." SET server_order=".$_GET['order']." WHERE server_id=".$_GET['server_id']);
		$result2 = dbquery("UPDATE ".DB_GAMESERVERS." SET server_order=".$_GET['order']."+1 WHERE server_id=".$order['server_id']);
		redirect(FUSION_SELF.$aidlink."&mes=move");
	}
} elseif(isset($_GET['action']) && $_GET['action'] == "mdown" && isset($_GET['server_id']) && isset($_GET['order'])) {
	$last = dbcount("(server_id)", DB_GAMESERVERS);
	if($_GET['order'] == 0 || $_GET['order'] > $last) {
		redirect(FUSION_SELF.$aidlink."&mes=err");
	} else {
		$orderr = dbarray(dbquery("SELECT server_id FROM ".DB_GAMESERVERS." WHERE server_order=".$_GET['order']));
		$result1 = dbquery("UPDATE ".DB_GAMESERVERS." SET server_order=".$_GET['order']." WHERE server_id=".$_GET['server_id']);
		$result2 = dbquery("UPDATE ".DB_GAMESERVERS." SET server_order=".$_GET['order']."-1 WHERE server_id=".$orderr['server_id']);
		redirect(FUSION_SELF.$aidlink."&mes=move");
	}
} elseif(isset($_POST['save_server'])) {
	$name = stripinput($_POST['server_name']);
	$ip = stripinput($_POST['ip_1'].".".$_POST['ip_2'].".".$_POST['ip_3'].".".$_POST['ip_4']);
	$port = stripinput($_POST['server_port']);
	$pass = stripinput($_POST['server_pass']);
	$slots = stripinput($_POST['server_slots']);
	$description = addslash($_POST['server_description']);

	if(isset($_GET['action']) && $_GET['action'] == "edit" && isset($_GET['server_id'])) {
		$result = dbquery("UPDATE ".DB_GAMESERVERS." SET server_name='".$name."', server_ip='".$ip."', server_port='".$port."', server_pass='".$pass."', server_slots='".$slots."', server_description='".$description."' WHERE server_id=".$_GET['server_id']);
		redirect(FUSION_SELF.$aidlink."&mes=edit");
	} else {
		$order = dbresult(dbquery("SELECT MAX(server_order) FROM ".DB_GAMESERVERS),0)+1;
		$result = dbquery("INSERT INTO ".DB_GAMESERVERS." (server_name, server_ip, server_port, server_pass, server_slots, server_description, server_order) VALUES ('".$name."', '".$ip."', '".$port."', '".$pass."', '".$slots."', '".$description."', '".$order."')");
		redirect(FUSION_SELF.$aidlink."&mes=save");
	}
}
if($mes != "") {
	echo "<div class='admin-message'>".$mes."</div>";
}

if(isset($_GET['action']) && $_GET['action'] == "edit") {
	$action = FUSION_SELF.$aidlink."&amp;action=edit&amp;server_id=".$_GET['server_id'];
	$result = dbquery("SELECT * FROM ".DB_GAMESERVERS." WHERE server_id=".$_GET['server_id']);
	$data = dbarray($result);
	$name = $data['server_name'];
	$ip2 = $data['server_ip'];
	$ip1 = explode(".", $ip2);
	$ip['1'] = $ip1['0'];
	$ip['2'] = $ip1['1'];
	$ip['3'] = $ip1['2'];
	$ip['4'] = $ip1['3'];
	$port = $data['server_port'];
	$pass = $data['server_pass'];
	$slots = $data['server_slots'];
	$description = $data['server_description'];
	opentable($locale['gsmp_106']);
} else {
	$action = FUSION_SELF.$aidlink;
	$name = "";
	$ip['1'] = "";
	$ip['2'] = "";
	$ip['3'] = "";
	$ip['4'] = "";
	$port = "27015";
	$pass = "";
	$slots = "";
	$description = "";
	opentable($locale['gsmp_105']);
}

echo "<form name='inputform' action='".$action."' method='post' onSubmit='return checkform(this);'>\n";
echo "<table cellspacing='5' cellpadding='0' border='0' align='center' width='300'>\n";
echo "<tr>\n<td align='right' width='1%' style='white-space:nowrap'>".$locale['gsmp_107']."</td>\n";
echo "<td align='left'>
<input type='text' class='textbox' value='".$name."' name='server_name' maxlength='100' style='width:200px;'/>
</td>\n</tr>\n";
echo "<tr>\n<td align='right' width='1%' style='white-space:nowrap'>".$locale['gsmp_108']."</td>\n";
echo "<td align='left'>
<input type='text' class='numeric textbox' value='".$ip['1']."' name='ip_1' maxlength='3' style='width:35px;text-align:center;' /> .
<input type='text' class='numeric textbox' value='".$ip['2']."' name='ip_2' maxlength='3' style='width:35px;text-align:center;' /> .
<input type='text' class='numeric textbox' value='".$ip['3']."' name='ip_3' maxlength='3' style='width:35px;text-align:center;' /> .
<input type='text' class='numeric textbox' value='".$ip['4']."' name='ip_4' maxlength='3' style='width:35px;text-align:center;' />
</td>\n</tr>\n";
echo "<tr>\n<td align='right' width='1%' style='white-space:nowrap'>".$locale['gsmp_109']."</td>";
echo "<td align='left'>
<input type='text' class='numeric textbox' value='".$port."'  name='server_port' maxlength='5' style='width:100px;' onBlur=\"if(this.value=='') this.value='27015'\" onFocus=\"if(this.value=='27015') this.value='';\"/>
</td>\n</tr>\n";
echo "<tr>\n<td align='right' width='1%' style='white-space:nowrap'>".$locale['gsmp_111']."</td>";
echo "<td align='left'>
<input type='text' class='numeric textbox' value='".$slots."' name='server_slots' maxlength='5' style='width:100px;'/>
</td>\n</tr>\n";
echo "<tr>\n<td align='right' width='1%' style='white-space:nowrap'>".$locale['gsmp_110']."</td>";
echo "<td align='left'>
<input type='text' class='textbox' value='".$pass."' name='server_pass' maxlength='20' style='width:100px;'/>
</td>\n</tr>\n";
echo "<tr>\n<td align='right' width='1%' style='white-space:nowrap'>".$locale['gsmp_113']."</td>\n";
echo "<td align='left'>
<textarea class='textbox' name='server_description' style='width:200px;' rows='4'>".$description."</textarea>
</td>\n</tr>\n";
echo "<tr><td></td><td>".display_bbcodes("200px", "server_description", "inputform", "b|i|u|center|url|img")."</td></tr>\n";
echo "<tr><td colspan='2' align='center'><br /><br />
<input type='submit' class='button' value='".$locale['gsmp_114']."' name='save_server' style='width:100px;'/>
</td>\n</tr>\n";
echo "</table>\n";
echo "</form>\n";
closetable();

opentable($locale['gsmp_115']);
$result = dbquery("SELECT server_id, server_name, server_order FROM ".DB_GAMESERVERS." ORDER BY server_order");

if(dbrows($result) != 0) {
	echo "<table align='center' width='70%' cellpadding='0' cellspacing='1' class='tbl-border'>\n";
	echo "<tr style='font-weight:bold;'>\n";
	echo "<td align='left' width='98%' class='tbl' style='white-space:nowrap'>".$locale['gsmp_116']."</td>\n";
	echo "<td align='center' width='1%' class='tbl' style='white-space:nowrap'>".$locale['gsmp_117']."</td>\n";
	echo "<td align='right' width='1%' class='tbl' style='white-space:nowrap'>".$locale['gsmp_118']."</td>\n";
	echo "</tr>\n";

	$last = dbcount("(server_id)", DB_GAMESERVERS);

	$i = 0;
	while($data = dbarray($result)) {
		if($last != 1) {
			$orderup = $data['server_order']-1;
			$orderdown = $data['server_order']+1;
			if($data['server_order'] == 1) {
				$order = "<a href='".FUSION_SELF.$aidlink."&amp;action=mdown&amp;server_id=".$data['server_id']."&amp;order=".$orderdown."'>";
				$order .= "<img src='".get_image("down")."' alt='".$locale['gsmp_117b']."' title='".$locale['gsmp_117b']."' style='border:0px;' />";
				$order .= "</a>";
			} elseif ($data['server_order'] == $last) {
				$order = "<a href='".FUSION_SELF.$aidlink."&amp;action=mup&amp;server_id=".$data['server_id']."&amp;order=".$orderup."'>";
				$order .= "<img src='".get_image("up")."' alt='".$locale['gsmp_117a']."' title='".$locale['gsmp_117a']."' style='border:0px;' />";
				$order .= "</a>";
			} else {
				$order = "<a href='".FUSION_SELF.$aidlink."&amp;action=mup&amp;server_id=".$data['server_id']."&amp;order=".$orderup."'>";
				$order .= "<img src='".get_image("up")."' alt='".$locale['gsmp_117a']."' title='".$locale['gsmp_117a']."' style='border:0px;' />";
				$order .= "</a>";
				$order .= "<a href='".FUSION_SELF.$aidlink."&amp;action=mdown&amp;server_id=".$data['server_id']."&amp;order=".$orderdown."'>";
				$order .= "<img src='".get_image("down")."' alt='".$locale['gsmp_117b']."' title='".$locale['gsmp_117b']."' style='border:0px;' />";
				$order .= "</a>";
			}
		} else {
			$order = "";
		}
		$class = ($i % 2 == 0 ? "tbl2" : "tbl1");
		echo "<tr>\n";
		echo "<td align='left' class='".$class."'><a href='".INFUSIONS."gameserver_monitor_panel/gameserver_monitor.php?server_id=".$data['server_id']."' style='text-decoration:underline;'>".$data['server_name']."</a></td>\n";
		echo "<td align='center' class='".$class."' style='white-space:nowrap'>".$order."</td>\n";
		echo "<td align='right' class='".$class."' style='white-space:nowrap'><a href='".FUSION_SELF.$aidlink."&amp;action=edit&amp;server_id=".$data['server_id']."'>".$locale['gsmp_119']."</a> | <a onclick=\"return confirm('".$locale['gsmp_120a']."');\" href='".FUSION_SELF.$aidlink."&amp;action=delete&amp;server_id=".$data['server_id']."' >".$locale['gsmp_120']."</a></td>\n";
		echo "</tr>\n";
		$i++;
	}
echo "</table>\n";
} else {
	echo "<table align='center' width='70%' cellpadding='0' cellspacing='0' border='0' class='tbl-border' style='margin-top:5px;margin-bottom:5px;'>\n";
	echo "<tr>\n<td colspan='3' class='forum-caption' style='text-align:center;font-size:12px;font-weight:bold;'>".$locale['gsmp_121']."</td>\n</tr>\n";
	echo "</table>\n";
}
closetable();

echo "<script type='text/javascript'>

function checkform(frm) {
	if(frm.server_name.value=='' || frm.ip_1.value=='' || frm.ip_2.value=='' || frm.ip_3.value=='' || frm.ip_4.value=='' || frm.server_port.value=='' || frm.server_slots.value=='') {
		alert('".$locale['gsmp_114a']."');
		return false;
	}
}
</script>\n";

require_once THEMES."templates/footer.php";
?>