<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: infusion.php
| Author: bartek124
| E-Mail: bartek124@php-fusion.pl
| Web: http://bartek124.php-fusion.pl
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."gameserver_monitor_panel/infusion_db.php";

if (file_exists(INFUSIONS."gameserver_monitor_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."gameserver_monitor_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."gameserver_monitor_panel/locale/English.php";
}

$inf_title = $locale['gsmp_title'];
$inf_description = $locale['gsmp_desc'];
$inf_version = "1.0";
$inf_developer = "bartek124";
$inf_email = "bartek124@php-fusion.pl";
$inf_weburl = "http://bartek124.php-fusion.pl";

$inf_folder = "gameserver_monitor_panel";

$inf_newtable[1] = DB_GAMESERVERS." (
server_id SMALLINT(5) UNSIGNED NOT NULL AUTO_INCREMENT,
server_name VARCHAR(100) DEFAULT '' NOT NULL,
server_ip VARCHAR(15) DEFAULT '' NOT NULL,
server_port VARCHAR(5) DEFAULT '' NOT NULL,
server_pass VARCHAR(20) DEFAULT '' NOT NULL,
server_slots VARCHAR(5) DEFAULT '' NOT NULL,
server_description VARCHAR(250) DEFAULT '' NOT NULL,
server_order SMALLINT(5) UNSIGNED NOT NULL,
PRIMARY KEY (server_id),
KEY (server_order)
) TYPE=MyISAM;";

$inf_insertdbrow[1] = DB_GAMESERVERS." (server_name, server_ip, server_port, server_pass, server_slots, server_description, server_order) VALUES('Kolaczyce #4FuN', '77.79.241.196', '27058', 'team', '20', '\n[center][url=http://www.cs-kolaczyce.pl][b]Kolaczyce Servers[/b][/url][/center]', 1)";

$inf_droptable[1] = DB_GAMESERVERS;

$inf_adminpanel[1] = array(
	"title" => $locale['gsmp_admin1'],
	"image" => "",
	"panel" => "gameserver_monitor_admin.php",
	"rights" => "GSMP"
);

$inf_sitelink[1] = array(
	"title" => $locale['gsmp_link1'],
	"url" => "gameserver_monitor.php",
	"visibility" => "0"
);
?>