<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: gameserver_monitor_panel.php
| Author: bartek124
| E-Mail: bartek124@php-fusion.pl
| Web: http://bartek124.php-fusion.pl
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

include INFUSIONS."gameserver_monitor_panel/infusion_db.php";

if (file_exists(INFUSIONS."gameserver_monitor_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."gameserver_monitor_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."gameserver_monitor_panel/locale/English.php";
}
$result = dbquery("SELECT server_id, server_name, server_ip, server_port, server_pass, server_slots FROM ".DB_GAMESERVERS." ORDER BY server_order");
opentable($locale['gsmp_000']);
if(dbrows($result) != 0) {
	echo "<table width='100%' cellpadding='0' cellspacing='0'>\n";
	echo "<tr style='font-weight:bold;' class='tbl'>\n";
	echo "<td width='25%' class='tbl'>".$locale['gsmp_001']."</td>\n";
	echo "<td width='30%' align='center' class='tbl'>".$locale['gsmp_002']."</td>\n";
	echo "<td width='15%' align='center' class='tbl'>".$locale['gsmp_003']."</td>\n";
	echo "<td width='10%' align='center' class='tbl'>".$locale['gsmp_004']."</td>\n";
	echo "<td width='10%' align='center' class='tbl'>".$locale['gsmp_005']."</td>\n";
	echo "</tr>\n";
	$i = 2;
		
	while($data = dbarray($result)) {
		$class = ($i % 2 == 0 ? "tbl2" : "tbl1");
		$ip = $data['server_ip'];
		$port = $data['server_port'];
		$slots = $data['server_slots'];
		
		if($data['server_pass'] == "") {
			$pass = $locale['gsmp_006'];
		} else {
			$pass = $data['server_pass'];
		}
		
		echo "<tr>\n";
		echo "<td width='25%' class='".$class."'><a href='".INFUSIONS."gameserver_monitor_panel/gameserver_monitor.php?server_id=".$data['server_id']."' title='".$locale['gsmp_007']."' style='text-decoration:underline;'>".$data['server_name']."</a></td>\n";
		echo "<td width='19%' align='center' class='".$class."'>".$slots."</td>\n";
		echo "<td width='30%' align='center' class='".$class."'>".$ip.":".$port."</td>\n";
		echo "<td width='15%' align='center' class='".$class."'>".$pass."</td>\n";
		echo "<td width='10%' align='center' class='".$class."'><a href='hlsw://".$ip.":".$port."' title='".$locale['gsmp_008']."'><img src='".INFUSIONS."gameserver_monitor_panel/images/connect_hlsw.gif' border='0' alt='' width='12' height='12'/></a> <a href='steam://connect/".$ip.":".$port."' title='".$locale['gsmp_009']."'><img src='".INFUSIONS."gameserver_monitor_panel/images/connect_steam.png' border='0' alt='' width='12' height='12'/></a></td>\n";
		echo "</tr>\n";
		$i++;
	}
	echo "</table>\n";
} else {
	echo "<table align='center' width='70%' cellpadding='0' cellspacing='0' border='0' class='tbl-border' style='margin-top:5px;margin-bottom:5px;'>\n";
	echo "<tr>\n<td colspan='3' class='forum-caption' style='text-align:center;font-size:12px;font-weight:bold;'>".$locale['gsmp_010']."</td>\n</tr>\n";
	echo "</table>\n";
}
closetable();

?>